You can use JNA directly from Jython to work with dynamic libraries. This might work with versions earlier than 2.5. Or use JNI to create a suitable wrapper. Regardless, there's no support for directly importing them.

On Thu, Mar 26, 2009 at 11:39 AM, Wizzzard <r_walter@users.sourceforge.net> wrote:
Jorge Santos schrieb:
> Hi, I’m trying to use Jython to interface with a not so recent software
> (2003) wrote on C++ and a Python API wrapping it (Evolution ERSP 2.0).
> When I use the current version of Python or Jython, it doesn’t work, as
> it always fails to load a Python extension provided as a dll
> (_libevoctask.dll):
>

Hello,

you cannot use jython with Dynamic-Link-Libraries. You must have a
Java-Wrapper for them.

Regards,
Roland.

------------------------------------------------------------------------------
_______________________________________________
Jython-users mailing list
Jython-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/jython-users



--
Jim Baker
jbaker@zyasoft.com